<html>
<head>
<title>MetarWeather Component Sample</title>
<style>
.metartable{border-width: 1;border-style: groove;width: 100%;background-color: #F0F0D0; color: #000000}
.metartablefield{font-size:12pt;font-family:arial;font-weight:700}
.metartablevalue{font-size:11pt;font-family:arial;font-weight:700}
.metarbutton{font-size:12pt;font-family:arial;font-weight:700}
.resulttable{border-width: 2;border-style: groove;width: 100%}
.resulttablefield{font-size:11pt;font-family:arial;font-weight:700;color: #000080;background-color=#a0a0a0}
.resulttablevalue{font-size:11pt;font-family:arial;font-weight:700;color: #000000;background-color=#D0D0F0}
</style>
</head>
<body>

<%
	function QueryString1(sField)
		QueryString1 = Request.Form(sField)
	end function
	
	function GetSelected(sField, sValue)
		if QueryString1(sField) = sValue then
			GetSelected = "selected"
		else
			GetSelected = ""
		end if
	end function
	
	sMetarString = QueryString1("metar")
%>

<form method="post" action="metar.asp">

<table border="0" cellpadding="4" class="metartable">
<tr>
<td class="metartablefield">METAR line:
<td class="metartablevalue">
<input type="text" name="metar" size="100" value="<%=sMetarString%>">

<tr>
<td class="metartablefield">Distance Unit
<td class="metartablevalue">
<select name="distance_unit">
<option value="1" <%=GetSelected("distance_unit", "1")%>>Meter 
<option value="2" <%=GetSelected("distance_unit", "2")%>>Kilometer 
<option value="3" <%=GetSelected("distance_unit", "3")%>>Feet 
<option value="4" <%=GetSelected("distance_unit", "4")%>>Mile 
</select>

<tr>
<td class="metartablefield">Temperature
<td class="metartablevalue">
<select name="temp_unit">
<option value="11" <%=GetSelected("temp_unit", "11")%>>Celcius 
<option value="12" <%=GetSelected("temp_unit", "12")%>>Fahrenheit 
</select>


<tr>
<td class="metartablefield">Pressure
<td class="metartablevalue">
<select name="pressure_unit">
<option value="21" <%=GetSelected("pressure_unit", "21")%>>Milibar 
<option value="22" <%=GetSelected("pressure_unit", "22")%>>Millimeter Mercury 
<option value="23" <%=GetSelected("pressure_unit", "23")%>>Inch Of Mercury 
</select>


<tr>
<td class="metartablefield">Wind Speed
<td class="metartablevalue">
<select name="wind_unit">
<option value="32" <%=GetSelected("wind_unit", "32")%>>Kilometer Per Hour 
<option value="31" <%=GetSelected("wind_unit", "31")%>>Meter Per Second 
<option value="33" <%=GetSelected("wind_unit", "33")%>>Knot
<option value="34" <%=GetSelected("wind_unit", "34")%>>Mile Per Hour 
</select>


<tr>
<td class="metartablefield">Precipitation
<td class="metartablevalue">
<select name="prec_unit">
<option value="41" <%=GetSelected("prec_unit", "41")%>>Millimeter 
<option value="42" <%=GetSelected("prec_unit", "42")%>>Centimeter 
<option value="43" <%=GetSelected("prec_unit", "43")%>>Inch 
</select>


<tr>
<td colspan="2">
<input type="submit" value="Decode METAR" class="metarbutton">
</table>

<%
if sMetarString <> "" then
	'Create METAR decoder object
	Set oMetarDecoder = CreateObject("MWeather.MetarDecoder")
    'Decode the METAR line
    If oMetarDecoder.DecodeMetarLine(sMetarString) Then
		'Set the display units according to user selection:
		oMetarDecoder.UnitDistance = QueryString1("distance_unit")
		oMetarDecoder.UnitWinds = QueryString1("wind_unit")
		oMetarDecoder.UnitPressure = QueryString1("pressure_unit")
		oMetarDecoder.UnitTemperature = QueryString1("temp_unit")
		oMetarDecoder.UnitPrecipitation = QueryString1("prec_unit")
		oMetarDecoder.MultiValuesMode = 2 'mvLineBreakDelimited 
%>
<table border="0" cellpadding="4" class="resulttable">
<%
for iIndex = 0 to 14
%>
<tr>
<td class="resulttablefield" width="10%"><nobr><%=oMetarDecoder.GetWeatherFieldName(iIndex)%></nobr>
<td class="resulttablevalue"><%=oMetarDecoder.GetWeatherData(iIndex)%>&nbsp;
<%
next
%>
</table>
	
<%
	else
%>
<h3>The METAR line is not valid !</h3>	
<%
	end if
%>

<%
end if
%>

</form>

</body>
</html>
